%define url_ver	%(echo %{version} | cut -c 1-4)

Name:		subtitleeditor
Summary(de):	Subtitel Editor
Version:	0.53.0
Release:	%mkrel 1
Summary:	Subtitle editor
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		http://home.gna.org/subtitleeditor/
Source:		http://download.gna.org/subtitleeditor/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		subtitleeditor-0.52.1-fix-str-fmt.patch
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: libatk1.0-devel
BuildRequires: libatkmm1.6-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm1.0-devel
BuildRequires: libenchant-devel
BuildRequires: libfontconfig-devel 
BuildRequires: libfreetype6-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libglibmm2.4-devel
BuildRequires: libgstreamer1.0-devel 
BuildRequires: libgstreamermm1.0-devel
BuildRequires: libgstreamer-plugins-base1.0-devel
BuildRequires: libgtk+3.0-devel 
BuildRequires: libgtkmm3.0-devel
BuildRequires: libpango1.0-devel
BuildRequires: libpangomm2.4-devel
BuildRequires: libsigc++2.0_0-devel 
BuildRequires: libx11-devel
BuildRequires: libxml++2.6-devel 
BuildRequires: libstdc++-devel 
BuildRequires: make
BuildRequires: pkgconfig 

Requires:	iso-codes
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	mplayer

%description
Subtitle Editor is a GTK+3 tool to edit subtitles.

It can be used for new subtitles or as a tool to transform, edit, correct and
refine existing subtitle. This program also shows sound waves, which makes it
easier to synchronise subtitles to voices.

%description -l de
Subtitel Editor ist ein GTK+2 Werkzeug zum bearbeiten von Untertiteln.

Es kann zum erstellen von neue Untertiteln verwendet werden, oder als Werkzeug 
für das Bearbeiten, Korrigieren und verbessern von vorhandenen Untertiteln. 
Dieses Programm zeigt auch die Soundwelle an, um soleichter den zu 
synchronisierenden Untertitel an zu passen.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
  --disable-debug \
  --disable-static \
  --disable-dependency-tracking

%make

%install
rm -rf %buildroot
%make_install

# desktop file
desktop-file-install --vendor="" \
	--remove-category="Audio" \
	--add-category="Video" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%find_lang %{name}

# we don't ship devel files for now
find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_libdir}/lib%{name}.so

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/*.1.*


%changelog
* Mon Jan 02 2017 adrianomorselli <adrianomorselli> 0.53.0-1uplos2017
- rebuild

* Fri Oct 14 2016 bb <bb> 0.53.0-1pclos2016
- update

